mod server;
use std::env;
use std::path::Path;

fn read_config() -> server::ServerConfig {
    let mut config = server::ServerConfig::new(
        "klockenschooster.de".to_string(),
        "/home/jw/code/projects/sheldond/doc".to_string(),
    );
    config.add_addr("127.0.0.1:1965".to_string());
    config.add_addr("[::1]:1965".to_string());
    return config;
}

fn main() {
    let server = server::Server::new(&read_config());
    server.serve();
}
